Ce Guide permet de faire fonctionner le module bcmwl qui permet d'avoir la carte-wifi fonctionnelle.

Paquet sans Dépendance

Le paquet Make n'a aucune dépendance, il suffit de l'installer.

Paquet avec Dépendance

  1. Le paquet DPKG-DEV dépend du paquet Make. Il suffit d'installer Make puis le paquet DPKG-DEV.
  1. Le paquet DKMS dépend du paquet dpkg-dev. Il suffit d'installer dpkg-dev en premier puis le paquet DKMS.
  1. Le paquet Linux-hearders contient le module wl qui est utiliser par la Carte-Wifi.
  1. Le paquet Broadcom dépend du paquet DKMS et wl (Linux-hearders), il suffit d'installer les paquets DKMS, Linux-hearders.

Erreur: modprobe: FATAL: Module wl not found

Si le module wl est manquant, il suffit d'installer Linux-hearders .

Les lignes de commandes

  1. Ouvrir le Terminal puis taper la commande sudo -i.
  2. Aller dans le média Ubuntu via la commande cd /media/XXXXX
  3. Ensuite taper les commandes suivantes :
dpkg -i pool/main/g/glibc/libc-dev-bin_2.32-0ubuntu3_amd64.deb
dpkg -i pool/main/libx/libxcrypt/libcrypt-dev_1%3a4.4.16-1ubuntu1_amd64.deb
dpkg -i pool/main/g/glibc/libc6_2.32-0ubuntu3_amd64.deb
dpkg -i pool/main/b/bcmwl/bcmwl-kernel-source_6.30.223.271+bdcom-0ubuntu7_amd64.deb


dpkg -i pool/main/m/make-dfsg/make_4.3-4ubuntu1_amd64.deb
dpkg -i pool/main/d/dpkg/dpkg-dev_1.20.5ubuntu2_all.deb
dpkg -i pool/main/d/dkms/dkms_2.8.3-4_all.deb
dpkg -i pool/main/l/linux/linux-headers-5.8.0-25-generic_5.8.0-25.26_amd64.deb
dpkg -i pool/main/l/linux/linux-headers-5.8.0-25_5.8.0-25.26_all.deb
dpkg -i pool/main/l/linux/linux-libc-dev_5.8.0-25.26_amd64.deb
  • ubuntu_20_bcmwl.txt
  • Dernière modification: Le 29/12/2020, 13:31
  • par 81.252.214.7